Subject: Re: how to be "superuser" on W98 ?
From: "joel fernandez" <[email-masked]>
To: "emcb_exposure" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Thu, 28 Nov 2002 10:31:52 +0100

Thank you for your help,

But I read this doc before sending the mail, and I don't understand why I can't have root permissions. Even though I know that W98 has problem with security.

the result of "ls /" is :

bin cygwin.bat cygwin.ico etc home lib sbin tmp usr var

and "ls /usr" writes :
X11R6    doc            i686-pc-mingw32 info  man  share ssl var
autotool i686-pc-cygwin include         local sbin src   tmp 

thanks
bye

jo

---------- Initial Header -----------

From      : "Elfyn McBratney" <[email-masked]>
To          : [email-masked], [email-masked]
Cc          : 
Date      : Thu, 28 Nov 2002 08:19:30 +0000
Subject : Re: how to be "superuser" on W98 ?

> Hi,
> 
> Because there is a lack of a security model in win9x (95,98,Me) the user 
> logged in is effectively the "su" (superuser). If im understanding you 
> correctly, you mean you cant see /usr/lib when you ls / (???) Can you see 
> usr?
> 
> Take a look at the manual, this will give you more info on this topic and is 
> also a good source of you have problems:
> 
> http://cygwin.com/cygwin-ug-net/cygwin-ug-net.html (manual)
> http://cygwin.com/cygwin-ug-net/highlights.html#OV-HI-WIN9XNT
> 
> Elfyn
> [email-masked]
> 
> >Hello,
> >
> >Could somebody help me be THE superuser on my computer based on W98 ?
> >
> >the only line I have in /etc/passwd is :
> >fernandez::500:544::/home/fernandez:/bin/bash
> >
> >and in /etc/group :
> >unknown::544:
> >
> >So, I can access, for example, to /usr/lib, but I can't see this directory 
> >when I launch "ls /"
> >
> >Which means I only have user permissions.
> >
> >Thanks for aswering and sorry for the noise, if you think it is.
> >
> >bye
> >jo
> >
> >-------------
> >SPECIAL ADSL
> >L'ADSL Tiscali est à partir de 15,95 EUR/mois ! Plus modem ADSL et frais 
> >d'activation gratuits !
> >Pour profiter de cette offre, cliquez ici: http://register.tiscali.fr/adsl/
> >Offre soumise à conditions.
> >
> >
> >
> >--
> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >Bug reporting:         http://cygwin.com/bugs.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/
> 
> 
> _________________________________________________________________
> Add photos to your messages with MSN 8. Get 2 months FREE*. 
> http://join.msn.com/?page=features/featuredemail
> 
> 
-------------
SPECIAL ADSL 
L'ADSL Tiscali est à partir de 15,95 EUR/mois ! Plus modem ADSL et frais d'activation gratuits !
Pour profiter de cette offre, cliquez ici: http://register.tiscali.fr/adsl/
Offre soumise à conditions.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/